亚马逊卖家反馈
Amazon Seller Feedback 返回指定 Amazon 卖家收到的客户评价。每页最多返回 5 条记录,因此请使用 page 参数和 pagination.has_next_page 标志进行分页遍历。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API key(与 Amazon 共用)。 |
engine | string | yes | 必须为 amazon。 |
type | string | yes | 必须为 seller_feedback。 |
seller_id | string | yes | Amazon 卖家 ID(例如 AAZRLVTNON75Z)。 |
domain | string | no | 市场域名,默认值为 amazon.com。 |
device | desktop | mobile | no | 模拟设备类型。 |
page | integer | no | 结果页码。与 pagination.has_next_page 配合使用。 |
Example request
Section titled “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_feedback', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z" }, "seller_feedback": [ { "rater": "Jorge balarezo", "rating": 5, "has_response": false, "body": "Tiene un perfume muy agradable, siempre lo uso lo recomiendo.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 1 }, { "rater": "Sarah M.", "rating": 5, "body": "Great service", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 2 }, { "rater": "Chad H.", "rating": 1, "body": "Product was different than advertised.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 4 } ], "pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }}